/*
 * REST API
 *
 * Rockset's REST API allows for creating and managing all resources in Rockset. Each supported endpoint is documented below.  All requests must be authorized with a Rockset API key, which can be created in the [Rockset console](https://console.rockset.com). The API key must be provided as `ApiKey <api_key>` in the `Authorization` request header. For example: ``` Authorization: ApiKey aB35kDjg93J5nsf4GjwMeErAVd832F7ad4vhsW1S02kfZiab42sTsfW5Sxt25asT ```  All endpoints are only accessible via https.  Build something awesome!
 *
 * API version: v1
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */

package rockset
import (
    "bytes"
    "encoding/json"
    "fmt"
    
)

type Collection struct {
	// ISO-8601 date
	CreatedAt string `json:"created_at,omitempty"`
	// email of user who created the collection
	CreatedBy string `json:"created_by,omitempty"`
	// unique identifer for collection, can contain alphanumeric or dash characters
	Name string `json:"name,omitempty"`
	// text describing the collection
	Description string `json:"description,omitempty"`
	// name of the workspace that the collection is in
	Workspace string `json:"workspace,omitempty"`
	// current status of collection, one of: CREATED, READY, DELETED
	Status string `json:"status,omitempty"`
	// list of sources from which collection ingests
	Sources []Source `json:"sources,omitempty"`
	// metrics about the collection
	Stats *CollectionStats `json:"stats,omitempty"`
	// number of seconds after which data is purged based on event time
	RetentionSecs int64 `json:"retention_secs,omitempty"`
	// list of mappings applied on all documents in a collection
	FieldMappings []FieldMappingV2 `json:"field_mappings,omitempty"`
}
func (m Collection) PrintResponse() {
    r, err := json.Marshal(m)
    var out bytes.Buffer
    err = json.Indent(&out, []byte(string(r)), "", "    ")
    if err != nil {
        fmt.Println("error parsing string")
        return
    }

    fmt.Println(out.String())
}

